unit Message;

{  ******
   *
   * Module:    Message
   * Author:    Joe Kessler
   *            IntegrationWare - A New Generation of Extraordinary PC Solutions
   *            www.integrationware.com
   *
   * Purpose:
   *
   *    This module defines the TMessageAware class, which is the ultimate base
   *    class for all game objects.  This class defines the core functionality
   *    for the object ot respond to input messages, etc...
   *
   ****** }

interface
uses Classes;

{ Message category contants.  There is currently only one type: input. }
const INPUT_DEVICE = 1;

type TMessageAware = class(TObject)
    public

        { This method MUST be overridden by derived classes. }
        procedure ProcessMessage(iCategory, iType: Integer;
                                 bValue0: Boolean;
                                 fValue1, fValue2: Real); Virtual; Abstract;
end;

implementation

end.
